-- MySQL dump 10.16  Distrib 10.1.34-MariaDB, for Win32 (AMD64)
--
-- Host: localhost    Database: schooldb
-- ------------------------------------------------------
-- Server version	10.1.34-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `attendance`
--

DROP TABLE IF EXISTS `attendance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `attendance` (
  `ATTENDANCE` int(15) NOT NULL,
  `STUDENTID` int(50) DEFAULT NULL,
  `CLASS` varchar(25) DEFAULT NULL,
  `ROLLNO` int(10) NOT NULL,
  `TERM` varchar(50) DEFAULT NULL,
  `YEAR` int(8) NOT NULL,
  UNIQUE KEY `CLASS` (`CLASS`,`ROLLNO`,`TERM`,`YEAR`),
  KEY `STUDENTID` (`STUDENTID`,`CLASS`,`ROLLNO`),
  CONSTRAINT `attendance_ibfk_1` FOREIGN KEY (`STUDENTID`) REFERENCES `studentdetails` (`STUDENTID`),
  CONSTRAINT `attendance_ibfk_2` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`),
  CONSTRAINT `attendance_ibfk_3` FOREIGN KEY (`STUDENTID`, `CLASS`, `ROLLNO`) REFERENCES `idclassroll` (`STUDENTID`, `CLASS`, `ROLLNO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `class`
--

DROP TABLE IF EXISTS `class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `class` (
  `classes` varchar(25) NOT NULL,
  PRIMARY KEY (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fee`
--

DROP TABLE IF EXISTS `fee`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fee` (
  `CLASS` varchar(25) NOT NULL,
  `YEAR` varchar(10) NOT NULL,
  `ADMISSIONFEE` float NOT NULL,
  `MONTHLYFEE` float NOT NULL,
  `BOOK` float NOT NULL,
  `TIE` float NOT NULL,
  `BELT` float NOT NULL,
  `IDCARD` float NOT NULL,
  `ELECTRICITY` float NOT NULL,
  `EXAMFEE` float NOT NULL,
  `SARASHWATIPUJA` float NOT NULL,
  `COMPUTER` float NOT NULL,
  PRIMARY KEY (`CLASS`,`YEAR`),
  CONSTRAINT `fee_ibfk_1` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `guardian`
--

DROP TABLE IF EXISTS `guardian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guardian` (
  `GUARDIANID` int(50) NOT NULL,
  `GUARDIANNAME` varchar(35) NOT NULL,
  `GUARDIANNO` int(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `idclassroll`
--

DROP TABLE IF EXISTS `idclassroll`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `idclassroll` (
  `STUDENTID` int(50) NOT NULL,
  `CLASS` varchar(25) NOT NULL,
  `ROLLNO` int(10) NOT NULL,
  `YEAR` varchar(10) NOT NULL,
  `STATUS` varchar(10) NOT NULL DEFAULT 'Present',
  UNIQUE KEY `CLASS` (`CLASS`,`ROLLNO`,`YEAR`),
  UNIQUE KEY `STUDENTID` (`STUDENTID`,`CLASS`,`ROLLNO`,`YEAR`),
  UNIQUE KEY `STUDENTID_2` (`STUDENTID`,`CLASS`,`YEAR`),
  CONSTRAINT `idclassroll_ibfk_1` FOREIGN KEY (`STUDENTID`) REFERENCES `studentdetails` (`STUDENTID`),
  CONSTRAINT `idclassroll_ibfk_2` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `om`
--

DROP TABLE IF EXISTS `om`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `om` (
  `STUDENTID` int(50) NOT NULL,
  `SUBJECTS` varchar(100) NOT NULL,
  `CLASS` varchar(25) NOT NULL,
  `ROLLNO` int(10) NOT NULL,
  `TERM` varchar(50) NOT NULL,
  `YEAR` varchar(10) NOT NULL,
  `OBTAINEDMARKS` float NOT NULL,
  UNIQUE KEY `STUDENTID` (`STUDENTID`,`SUBJECTS`,`CLASS`,`ROLLNO`,`TERM`,`YEAR`),
  KEY `CLASS` (`CLASS`,`SUBJECTS`),
  KEY `fk_multi` (`STUDENTID`,`CLASS`,`ROLLNO`,`YEAR`),
  CONSTRAINT `fk_multi` FOREIGN KEY (`STUDENTID`, `CLASS`, `ROLLNO`) REFERENCES `idclassroll` (`STUDENTID`, `CLASS`, `ROLLNO`),
  CONSTRAINT `om_ibfk_1` FOREIGN KEY (`CLASS`, `SUBJECTS`) REFERENCES `subject` (`CLASS`, `SUBJECTS`),
  CONSTRAINT `om_ibfk_2` FOREIGN KEY (`STUDENTID`) REFERENCES `studentdetails` (`STUDENTID`),
  CONSTRAINT `om_ibfk_3` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `paidrecord`
--

DROP TABLE IF EXISTS `paidrecord`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paidrecord` (
  `BILLNO` int(50) NOT NULL,
  `DATE` date NOT NULL,
  `PAIDAMOUNT` float NOT NULL,
  `PAIDBY` varchar(25) NOT NULL,
  `DUE` float NOT NULL,
  `CLASS` varchar(25) NOT NULL,
  `ROLLNO` int(10) NOT NULL,
  `YEAR` varchar(10) NOT NULL,
  `RECEIVEDBY` varchar(25) NOT NULL,
  `REMARKS` varchar(100) NOT NULL,
  KEY `CLASS` (`CLASS`),
  CONSTRAINT `paidrecord_ibfk_1` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `studentdetails`
--

DROP TABLE IF EXISTS `studentdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `studentdetails` (
  `STUDENTID` int(50) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(100) NOT NULL,
  `CLASS` varchar(25) NOT NULL,
  `ROLLNO` int(10) NOT NULL,
  `DATEOFBIRTH` varchar(100) DEFAULT NULL,
  `PLACEOFBIRTH` varchar(100) DEFAULT NULL,
  `SEX` varchar(50) DEFAULT NULL,
  `TELEPHONE` varchar(25) DEFAULT NULL,
  `MOBILEPHONE` varchar(25) DEFAULT NULL,
  `ADDRESS` varchar(100) DEFAULT NULL,
  `FATHERNAME` varchar(100) DEFAULT NULL,
  `MOTHERNAME` varchar(100) DEFAULT NULL,
  `FATHERMOBILEPHONE` varchar(25) DEFAULT NULL,
  `MOTHERMOBILEPHONE` varchar(25) DEFAULT NULL,
  `FATHERPROFESSION` varchar(100) DEFAULT NULL,
  `MOTHERPROFESSION` varchar(100) DEFAULT NULL,
  `FATHERPLACEOFWORK` varchar(100) DEFAULT NULL,
  `MOTHERPLACEOFWORK` varchar(100) DEFAULT NULL,
  `OBSERVATIONS` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`STUDENTID`),
  UNIQUE KEY `NAME` (`NAME`,`DATEOFBIRTH`),
  KEY `fk_class` (`CLASS`),
  CONSTRAINT `fk_class` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB AUTO_INCREMENT=636 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `studentguardian`
--

DROP TABLE IF EXISTS `studentguardian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `studentguardian` (
  `GUARDIANID` int(50) NOT NULL,
  `STUDENTID` int(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subject`
--

DROP TABLE IF EXISTS `subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subject` (
  `SUBJECTS` varchar(100) NOT NULL,
  `CLASS` varchar(25) NOT NULL,
  `FULLMARKS` int(10) NOT NULL,
  `PASSMARKS` int(10) NOT NULL,
  `YEAR` varchar(10) NOT NULL,
  PRIMARY KEY (`CLASS`,`SUBJECTS`,`YEAR`),
  CONSTRAINT `subject_ibfk_1` FOREIGN KEY (`CLASS`) REFERENCES `class` (`classes`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temporary`
--

DROP TABLE IF EXISTS `temporary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temporary` (
  `STUDENTID` int(15) NOT NULL,
  `TOTALOM` float NOT NULL,
  `INDEX` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `type` varchar(30) NOT NULL,
  `number` int(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`number`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-07-30  6:53:39
